<!doctype html>
<!--My Personal Site, content and design is my all rights reserved copyright, Fred Grott(Fredrick Allan Grott) 2019 -->
 <html lang=en>
  <head>
    <meta charset=utf-8>
    <meta http-equiv=X-UA-Compatible content="IE=edge">
    <meta name=theme-color content=#ffffff><meta name=viewport content="width=device-width, initial-scale=1, maximum-scale=1">
    <meta name=description content="Avoid searching for 24 months for a flutter dev for your startup, see my flutter stuff"><title>Fred Grott</title>

    <link rel="icon" type="image/png" sizes="194x194" href="./assets/ico/favicon-194x194.png">
    <link rel="icon" type="image/png" sizes="192x192" href="./assets/ico/android-chrome-192x192.png">
    <link rel="icon" type="image/png" sizes="16x16" href="./assets/ico/favicon-16x16.png">
    <link rel="manifest" href="/assets/ico/site.webmanifest">
    <link rel="mask-icon" href="/assets/ico/safari-pinned-tab.svg" color="#5bbad5">
    <link rel="shortcut icon" href="./assets/ico/favicon.ico">
    <meta name="msapplication-TileColor" content="#da532c">
    <meta name="msapplication-config" content="/assets/ico/browserconfig.xml">
    <meta name="theme-color" content="#ffffff">

    <meta property="og:image:height" content="157">
    <meta property="og:image:width" content="300">
    <meta property="og:description" content="Avoid searching for 24 months for a flutter dev for your startup, see my flutter stuff">
    <meta property="og:title" content="Fred Grott's Site">
    <meta property="og:url" content="https://fredgrott.gitlab.io">
    <meta property="og:image" content="https://fredgrott/gitlab.io/assets/images/og-image.jpg">


    <meta name="twitter:card" content="summary_large_image">
    <meta name="twitter:site" content="@fredgrott">
    <meta name="twitter:creator" content="@fredgrott">
    <meta name="twitter:title" content="FredGrott's-Site">
    <meta name="twitter:description" content="Avoid searching for 24 months for a flutter dev for your startup, see my flutter stuff">
    <meta name="twitter:image" content="/assets/images/twittercardimage.png">
    <meta name="twitter:image:alt" content="fredgrottavatar">

    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Roboto:300,400,500,700|Material+Icons">
    <link rel="stylesheet" href="https://unpkg.com/bootstrap-material-design@4.1.1/dist/css/bootstrap-material-design.min.css" integrity="sha384-wXznGJNEXNG1NFsbm0ugrLFMQPWswR3lds2VeinahP8N0zJw9VWSopbjv2x7WCvX" crossorigin="anonymous">

    <link href="https://fonts.googleapis.com/css?family=IBM+Plex+Sans+Condensed:100,100i,200,200i,300,300i,400,400i,500,500i,600,600i,700,700i&amp;subset=latin-ext,vietnamese" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css?family=IBM+Plex+Sans:100,100i,200,200i,300,300i,400,400i,500,500i,600,600i,700,700i&amp;subset=latin-ext" rel="stylesheet">

    <link href="https://fonts.googleapis.com/css?family=IBM+Plex+Mono:100,100i,200,200i,300,300i,400,400i,500,500i,600,600i,700,700i&amp;subset=cyrillic,cyrillic-ext,latin-ext,vietnamese" rel="stylesheet">

    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.8.1/css/all.css" integrity="sha384-50oBUHEmvpQ+1lW4y57PTFmhCaXp0ML5d60M1M7uH2+nqUivzIebhndOJK28anvf" crossorigin="anonymous">
    <!-- Custom styles for this template -->
    <link href="./assets/css/custom.css" rel="stylesheet">



    <!-- Open Graph markup goes here -->
      <script type="application/1d+json">
        {
          "@context": "http://schema.org",
          "@type" : "Person",
          "name" : "Fred Grott",
          "url":"https://fredgrott.gitlab.io",
          "sameAs": [
             "https://angel.co/fred-grott",
             "https://www.behance.net/gwsfredgrott",
             "https://bitbucket.org/fredgrott/",
             "https://codepen.io/fredgrott/",
             "https://shareme.deviantart.com",
             "https://dribbble.com/FredGrott",
             "https://www.facebook.com/fredgrott",
             "https://github.com/shareme",
             "https://gitlab.com/fred.grott",
             "https://news.ycombinator.com/user?id=fredgrott",
             "https://keybase.io/fredgrott",
             "https://www.linkedin.com/in/fredgrottstartupfluttermobileappdesigner",
             "https://medium.com/@fredgrott",
             "https://www.meetup.com/members/2594666/",
             "https://www.pinterest.com/fredgrott/",
             "https://www.producthunt.com/@fredgrott",
             "https://www.reddit.com/user/fredgrott",
             "http://www.quora.com/Fred-Grott",
             "https://samebug.io/user/259/fredgrott",
             "https://speakerdeck.com/fredgrott",
             "https://stackoverflow.com/users/237740/fred-grott",
             "https://twitter.com/fredgrott",
             "https://www.youtube.com/channel/UCBRREUKFNWIELQ3oBzeXiMA"

           ]
         }
      </script>
      <!-- Google Analytics -->


  </head>
  <body >
    <div class="container-fluid">
      <header class="masthead mb-auto">
        <div class="inner">
          <nav class="navbar navbar-expand-lg navbar-dark bg-mine">
          <h3 class="masthead-brand"><img src="./assets/images/brandfg.png" class="img-fluid pull-xs-left" alt="..."></h3>
          <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>
          <div class="collapse navbar-collapse nav-masthead justify-content-center" id="navbarSupportedContent">
    <ul class="navbar-nav mr-auto">
      <li class="nav-item ">
        <a class="nav-link" href="index.html">Home </a>
      </li>
      <li class="nav-item">
      <a class="nav-link" href="mystory.html">My Story</a>
      </li>
      <li class="nav-item active">
      <a class="nav-link" href="myway.html">My Way <span class="sr-only">(current)</span></a>
      </li>
      <li class="nav-item">
      <a class="nav-link" href="talks.html">Talks</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href="showcase.html">Showcase</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href="contact.html">Contact</a>
      </li>
    </ul>

  </div>
</nav>
        </div>
      </header>
      <main role="main" class="inner cover">
        <!-- Main jumbotron for a primary marketing message or call to action -->
      </br>
        <div class="row">
            <div class="col-sm">
      <div class="card  text-black">


      <div class="card-body">


      <h3 class="card-title text-black">My Way</h3>
      <h6 class="card-subtitle mb-2 text-muted">on my UX Approach</h6>
      <p class="card-text text-black">Many things are best understood as comprising many Domains and Disciplines. In my UX approach I am mixing Neurosicence, CS-oop-code, Graphics-Visual-Pyschology and many others into a constent vibrant user interesting interaction. Due to the rate of thiss rapid change towards interactive app UIs its my responsibility to research new neuroscience discoveries and seek to apply them to the UX of an app to make you the startup cofounder and the startup platform awesome.</p>

      <blockquote class="blockquote mb-0">
      <p class="card-text text-muted">The Gist, if I research your startup customer and find out what social triggers I can hook into I can get them to use your mobile app more frequently and emotionally connect with your startup and increase MAUs. Is that not what you are here for and what your  startup investors are betting on you finding? Let's examine the steps..</p>
      </blockquote>

      </div>
      </div>
      </div>
      </div>
      </br>
      <div class="row">
        <div class="col-md">
          <div class="card  text-black">


          <div class="card-body">


          <h3 class="card-title text-black">Borrowing From Android</h3>

          <p class="card-text text-black">Former android app devs like me have it easy as with Flutter app design we deal with the same context, threading, and lifecycle with flutter widgets as we did with android view components.</p>
<p class="card-text text-black">One example, no more callback hell or in fact over-coding reactive to do easy event programing. Imagine, you ccan write a callback and its use via futures in dart in less than 8 lines!</p>


          </div>
          </div>
        </div>
        <div class="col-md">
          <div class="card  text-black">


          <div class="card-body">


          <h3 class="card-title text-black">UX Models</h3>

          <p class="card-text text-black">I code out a core business logic unit and than use git's branch feature to create 3 or more UX models. I find that the already startup cofounder created user personas based on user research usually should be tweaked so that I can get the best use of feedback via A-B testing of Ux models.</p>

           <p class="card-text text-black">Its a little more prep-work and code setup upfront, but it saves time in the long-term as one gets A-B testing feedback on Ux models earlier in the app design-dev cycle which is ideal for most startups</p>
          </div>
          </div>
        </div>
      </div>
    </br>
    <div class="row">
      <div class="col-md">
        <div class="card  text-black">


        <div class="card-body">


        <h3 class="card-title text-black">Brain Models of Interaction</h3>

        <p class="card-text text-black">In the 1940s-1950s it was right-Left brain, in the 1960s it was Triune brain. And as of 2011 we are now up to System 1 System 2 mode of interactions via Daniel Kahneman. Some  of you might know his previous work of prsopect thoery and happiness theory and his book Thinking, Fast, and Slow.</p>

         <p class="card-text text-black">System-1(limbic), System-2(artiona neurocortext) model of brain interaction is simply that our cognitive biases reign in our decision making. In simple terms decision flow from limbic to the top rational brain sectio0n not the other way around. So we use the cognitive biases to tell us Ux designers when we need to add an interaction such as a feedback to over-ride which direction the decision is flowing dependding upon which area we want the decision to happen in ie either System-1(limbic) or System-2(rational brain-neurocortex).</p>
        </div>
        </div>
      </div>
      <div class="col-md">
        <div class="card  text-black">


        <div class="card-body">


        <h3 class="card-title text-black">OOP-Redux or Flux?</h3>

        <p class="card-text text-black">Many somewhat do not know this but there are in fact two implementations of Redux OOP. The first one is called Flux and was first implemented by Facebook and the more application io intensive one due to it implementing app  logging is in fact Redux.</p>

         <p class="card-text text-black">Due to Dart-Flutter's fantastic debug setup there really is no need to implement Redux-the-app-logging-style-redux as it would be a performance hog. Instead I use the alpha-beta versionof the Google dart-flux implementation..</p>
        </div>
        </div>
      </div>
    </div>
    </main>


    <div class="row  bg-mine">
        <div class="col-sm">
            <!-- FOOTER -->
            <footer class="mastfoot mt-auto text-center bg-mine text-white">
              <p class=""><a href="#">Back to top</a></p>
              <p><a href="https://www.linkedin.com/in/fredgrottstartupfluttermobileappdesigner"><i class="fab fa-linkedin fa-3x"></i></a><a href="https://medium.com/@fredgrott"><i class="fab fa-medium fa-3x"></i></a><a href="https://twitter.com/fredgrott"><i class="fab fa-twitter fa-3x"></i></a></p>
              <p>Content and Design is &copy; 2019 Fred Grott(Fredrick Allan Grott), all rights reserved. Terms: Respect all humans and do not do ass-hat stuff. Trademarks are owned by their respective owners and used in adverb form according to the respective trademark owners terms of licensing and service.
              </p>
              <p>&middotFlutter&middotDart&middotAndroid&middotJava&middotKotlin&middotCplusplus&middotUX&middotUX Research&middotCX(Customer experience)&middotMobile Designer Developer&middotSeek Remote Opp&middotFrontEnd Designer Engineer</p>
            </footer>
        </div>

   </div>

   </div>

     <script type="text/javascript">

     </script>
     <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
     <script src="https://unpkg.com/popper.js@1.12.6/dist/umd/popper.js" integrity="sha384-fA23ZRQ3G/J53mElWqVJEGJzU0sTs+SvzG8fXVWP+kJQ1lwFAOkcUOysnlKJC33U" crossorigin="anonymous"></script>
     <script src="https://unpkg.com/bootstrap-material-design@4.1.1/dist/js/bootstrap-material-design.js" integrity="sha384-CauSuKpEqAFajSpkdjv3z9t8E7RlpJ1UP0lKM/+NdtSarroVKu069AlsRPKkFBz9" crossorigin="anonymous"></script>
     <script src="assets/js/init.js"></script>
     <script src="assets/js/custom.js"></script>
   </body>
   </html>
